QGIS Application - Bug report #21336
self node is considered as an error by processing
2019-02-21 04:17 PM - Alain FERRATON

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.4.4 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29154
Description

self node is considered as an error by processing
(which inhibits the execution of algorithms)

while the agorithm "verify validity" does not detect an error. which is normal because it is not (according to GEOS or QGIS standards).

Associated revisions

Revision 4e04d022 - 2019-02-26 09:05 PM - Nyall Dawson

By default, validity check should treat ring self intersections as invalid

We use the OGC definition of validity to ensure consistent results
with PostGIS, GDAL, etc

Fixes #16418, fixes #21336

Revision 49742¢30 - 2019-02-26 09:05 PM - Nyall Dawson

[needs-docs][processing] Add option to check validity alg to ignore self-intersection

causing rings errors

By default the algorithm now uses the strict OGC definition of polygon validity, where
a polygon is marked as invalid if a self-intersecting ring causes an interior hole.

If the "Ignore ring self intersections" option is checked, then this rule will be

ignored and a more lenient validity check will be performed.

Refs #16418, refs #21336

Revision 25a42a9f - 2019-03-05 02:08 AM - Nyall Dawson

By default, validity check should treat ring self intersections as invalid

We use the OGC definition of validity to ensure consistent results
with PostGIS, GDAL, etc

Fixes #16418, fixes #21336
(cherry picked from commit 4e04d02293637923e065afba3f3b962249a9ca78)

Revision 850905e7 - 2019-03-05 02:08 AM - Nyall Dawson

[needs-docs][processing] Add option to check validity alg to ignore self-intersection

causing rings errors

By default the algorithm now uses the strict OGC definition of polygon validity, where
a polygon is marked as invalid if a self-intersecting ring causes an interior hole.

If the "Ignore ring self intersections" option is checked, then this rule will be

ignored and a more lenient validity check will be performed.

Refs #16418, refs #21336

(cherry picked from commit 49742c302afb97e6272ce8b6b3a806014cdbdb5b)

Revision 49798918 - 2019-03-07 03:02 AM - Nyall Dawson

By default, validity check should treat ring self intersections as invalid

We use the OGC definition of validity to ensure consistent results
with PostGIS, GDAL, etc

Fixes #16418, fixes #21336

(cherry picked from commit 4e04d02293637923e065afba3f3b962249a9ca78)

Revision 4cd9¢110 - 2019-03-07 03:02 AM - Nyall Dawson

[needs-docs][processing] Add option to check validity alg to ignore self-intersection

causing rings errors

By default the algorithm now uses the strict OGC definition of polygon validity, where
a polygon is marked as invalid if a self-intersecting ring causes an interior hole.

If the "Ignore ring self intersections" option is checked, then this rule will be

ignored and a more lenient validity check will be performed.

Refs #16418, refs #21336

(cherry picked from commit 49742c302afb97e6272ce8b6b3a806014cdbdb5b)
(cherry picked from commit 66cd7e93024f432a9ebd98258dee74ac49834d1f)

History

#1 - 2019-02-21 04:18 PM - Giovanni Manghi
- Category changed from Processing/GUI to Processing/Core

#2 - 2019-02-26 09:04 PM - Nyall Dawson

- % Done changed from 0 to 100
- Status changed from Open to Closed
Applied in changeset commit:qgis|4e04d02293637923e065afba3f3b962249a9ca78.

Files

sample.zip 1.84 KB 2019-02-21 Alain FERRATON
